## gobuster 2.0.1

=== Makefile ===
TARGET=./build
OSES=darwin linux windows
ARCHS=amd64 386

current: outputdir
	@go build -o ./gobuster; \
	echo "Done."

outputdir:
	@mkdir -p ${TARGET}

windows: outputdir
	@for GOARCH in ${ARCHS}; do \
		echo "Building for windows $${GOARCH} ..." ; \
		GOOS=windows GARCH=$${GOARCH} go build -o ${TARGET}/gobuster-$${GOARCH}.exe ; \
	done; \
	echo "Done."

linux: outputdir
	@for GOARCH in ${ARCHS}; do \
		echo "Building for linux $${GOARCH} ..." ; \
		GOOS=linux GARCH=$${GOARCH} go build -o ${TARGET}/gobuster-linux-$${GOARCH} ; \
	done; \
	echo "Done."

darwin: outputdir
	@for GOARCH in ${ARCHS}; do \
		echo "Building for darwin $${GOARCH} ..." ; \
		GOOS=darwin GARCH=$${GOARCH} go build -o ${TARGET}/gobuster-darwin-$${GOARCH} ; \
	done; \
	echo "Done."


all: darwin linux windows

test:
	@go test -v -race ./... ; \
	echo "Done."

clean:
	@rm -rf ${TARGET}/* ; \
	echo "Done."

## gobuster 1.4.1

=== debian/changelog ===
gobuster (1.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #897628)

 -- Alexander Fischer <mirar@chaosmail.org>  Thu, 03 May 2018 17:55:25 +0200

=== debian/control ===
Source: gobuster
Section: utils
Priority: optional
Maintainer: Alexander Fischer <mirar@chaosmail.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-satori-go.uuid-dev,
               golang-golang-x-crypto-dev
Standards-Version: 4.1.4
Homepage: https://github.com/OJ/gobuster
Vcs-Browser: https://salsa.debian.org/debian/gobuster
Vcs-Git: https://salsa.debian.org/debian/gobuster.git
XS-Go-Import-Path: github.com/OJ/gobuster
Testsuite: autopkgtest-pkg-go

Package: gobuster
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Directory/file & DNS busting tool written in Go
 Gobuster is a tool used to brute-force URIs including directories and  
 files as well as DNS subdomains.

## gobuster 2.0.1

=== debian/changelog ===
gobuster (2.0.1-1build2) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:09:18 +0000

gobuster (2.0.1-1build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Sep 2020 23:16:52 +0000

gobuster (2.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces

  [ Alexander Fischer ]
  * New upstream version 2.0.1
  * remove patch
  * changed uuid library dependency
  * removed test file due to missing dependency in debian

 -- Alexander Fischer <mirar@chaosmail.org>  Sun, 03 Feb 2019 14:03:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gobuster
 Section: utils
 Priority: optional
-Maintainer: Alexander Fischer <mirar@chaosmail.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexander Fischer <mirar@chaosmail.org>
 Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
                golang-github-hashicorp-go-multierror-dev,
-               golang-github-satori-go.uuid-dev,
+               golang-github-google-uuid-dev,
                golang-golang-x-crypto-dev
 Standards-Version: 4.1.4
 Homepage: https://github.com/OJ/gobuster
@@ -21,5 +22,5 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Directory/file & DNS busting tool written in Go
- Gobuster is a tool used to brute-force URIs including directories and  
+ Gobuster is a tool used to brute-force URIs including directories and
  files as well as DNS subdomains.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_install:
	dh_auto_install -- --no-source
%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build
	rm -f obj-*/src/github.com/OJ/gobuster/libgobuster/http_test.go

## gobuster 3.4.0

=== debian/changelog ===
gobuster (3.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 3.4.0. (Closes: #1027984, LP: #1841095)
  * debian/control: updated Build-Depends field.
  * debian/copyright: added entry to debian/*.
  * debian/patches/001-use-github.compintftp.patch: added.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Thiago Andrade Marques <andrade@debian.org>  Wed, 11 Jan 2023 18:16:51 -0300

gobuster (2.0.1-2) UNRELEASED; urgency=medium

  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.1.5, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 12 Oct 2021 21:23:44 -0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: gobuster
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander Fischer <mirar@chaosmail.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Alexander Fischer <mirar@chaosmail.org>
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-fatih-color-dev,
                golang-github-hashicorp-go-multierror-dev,
                golang-github-google-uuid-dev,
-               golang-golang-x-crypto-dev
-Standards-Version: 4.1.4
+               golang-github-spf13-cobra-dev,
+               golang-github-pin-tftp-dev,
+               golang-golang-x-crypto-dev,
+               golang-golang-x-term-dev
+Standards-Version: 4.1.5
 Homepage: https://github.com/OJ/gobuster
 Vcs-Browser: https://salsa.debian.org/debian/gobuster
 Vcs-Git: https://salsa.debian.org/debian/gobuster.git

## gobuster 3.5.0

=== debian/changelog ===
gobuster (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0.
  * debian/gobuster.1: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 23 Feb 2023 08:00:50 -0300

gobuster (3.4.0-1) unstable; urgency=medium

  * New maintainer. (Closes: #1030259)
    Thanks to Alexander Fischer, the last maintainer.
  * New co-maintainer.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Suggests field.
      - Bumped Standards-Version to 4.6.2.
      - Updated description field.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Added new upstream.
      - Added upstream mail.
      - Removed Files-Excluded field, no longer needed.
      - Updated license text.
      - Updated upstream and packaging years.
  * debian/gbp.conf: updated.
  * debian/gobuster.1: full updated.
  * debian/lintian-overrides: created.
  * debian/manpages: moved from debian/gobuster.manpages.
  * debian/rules: updated.
  * debian/watch: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 09 Feb 2023 13:39:26 -0300

=== debian/control ===
Source: gobuster
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Thiago Andrade Marques <andrade@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-google-uuid-dev,
               golang-github-spf13-cobra-dev,
               golang-github-pin-tftp-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-term-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/OJ/gobuster
Vcs-Browser: https://salsa.debian.org/pkg-security-team/gobuster
Vcs-Git: https://salsa.debian.org/pkg-security-team/gobuster.git
XS-Go-Import-Path: github.com/OJ/gobuster
Testsuite: autopkgtest-pkg-go

Package: gobuster
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: crunch, cupp, hashcat
Description: Directory/file & DNS busting tool written in Go
 Gobuster is a tool used to brute-force: URIs (directories and files) in
 web sites, DNS subdomains (with wildcard support), Virtual Host names
 on target web servers, Open Amazon S3 buckets, Open Google Cloud buckets
 and TFTP servers.
 .
 Gobuster is useful for pentesters, ethical hackers and forensics experts.
 It also can be used for security tests.

## gobuster 3.6.0

=== Makefile ===
.DEFAULT_GOAL := linux

.PHONY: linux
linux:
	go build -o ./gobuster

.PHONY: windows
windows:
	GOOS=windows GOARCH=amd64 CGO_ENABLED=0 go build -o ./gobuster.exe

.PHONY: fmt
fmt:
	go fmt ./...

.PHONY: update
update:
	go get -u
	go mod tidy -v

.PHONY: all
all: fmt update linux windows test lint

.PHONY: test
test:
	go test -v -race ./...

.PHONY: lint
lint:
	"$$(go env GOPATH)/bin/golangci-lint" run ./...
	go mod tidy

.PHONY: lint-update
lint-update:
	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $$(go env GOPATH)/bin
	$$(go env GOPATH)/bin/golangci-lint --version

.PHONY: tag
tag:
	@[ "${TAG}" ] && echo "Tagging a new version ${TAG}" || ( echo "TAG is not set"; exit 1 )
	git tag -a "${TAG}" -m "${TAG}"
	git push origin "${TAG}"

=== debian/changelog ===
gobuster (3.6.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:16:02 +0200

gobuster (3.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.6.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 16 Aug 2023 15:43:06 +0200

gobuster (3.5.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.5.0
  * Update patches
  * Update packaging

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Feb 2023 16:04:24 +0100

gobuster (3.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.0
  * Add missing build-dep golang-github-pin-tftp-dev
  * Use Debian package golang-github-pin-tftp-dev

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Dec 2022 15:48:00 +0100

gobuster (3.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Nov 2022 14:39:00 +0100

gobuster (3.2.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ben Wilson ]
  * Update email address
  * Consistency with tabs to spaces

  [ Sophie Brun ]
  * New upstream version 3.2.0
  * Add missing build-dep
  * Bump Standards-Version to 4.6.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 11 Oct 2022 17:34:29 +0200

gobuster (3.1.0-0kali1) kali-dev; urgency=medium

  * Remove useless patches
  * Remove obsolete manpage
  * New upstream version 3.1.0
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file
  * Update debian/docs for new release
  * Use version 4 in debian/watch
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1
  * Remove Files-Excluded from debian/copyrighti
  * Add superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Mar 2021 11:00:24 +0100

gobuster (3.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Jul 2019 16:20:59 +0200

gobuster (3.0.0-0kali1) kali-dev; urgency=medium

  * Import new usptream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Jun 2019 16:56:00 +0200

gobuster (2.0.1-0kali1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces

  [ Alexander Fischer ]
  * New upstream version 2.0.1
  * remove patch
  * changed uuid library dependency
  * removed test file due to missing dependency in debian

 -- Alexander Fischer <mirar@chaosmail.org>  Sun, 03 Feb 2019 14:03:01 +0100

gobuster (2.0.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release (see 4939)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 29 Aug 2018 16:45:17 +0200

gobuster (1.4.1-0kali1) unstable; urgency=medium

  * Initial release (Closes: #897628)

 -- Alexander Fischer <mirar@chaosmail.org>  Thu, 03 May 2018 17:55:25 +0200

gobuster (1.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Sep 2016 14:22:38 +0200

gobuster (1.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add golang-golang-x-crypto-dev in build-depends

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Jun 2016 16:25:12 +0200

gobuster (1.0-0kali1) kali-dev; urgency=medium

  * Initial release (Closes: #0002438)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 May 2016 16:14:39 +0200

=== debian/control ===
Source: gobuster
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
		       golang-github-fatih-color-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-google-uuid-dev,
               golang-github-spf13-cobra-dev,
		       golang-github-pin-tftp-dev,
               golang-golang-x-crypto-dev,
		       golang-golang-x-term-dev
Standards-Version: 4.6.2
Homepage: https://github.com/OJ/gobuster
XS-Go-Import-Path: github.com/OJ/gobuster
Testsuite: autopkgtest-pkg-go

Package: gobuster
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Directory/file & DNS busting tool written in Go
 Gobuster is a tool used to brute-force URIs including directories and
 files as well as DNS subdomains.

=== debian/tests/control ===
Test-Command: gobuster -h
Restrictions: superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gobuster-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/OJ/gobuster/tags .*/v?(\d\S*)\.tar\.gz

## gobuster 3.8.0

=== debian/changelog ===
gobuster (3.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 11 Aug 2025 11:40:39 -0300

gobuster (3.8.0-1) experimental; urgency=medium

  * New upstream version 3.8.0.
  * debian/control:
      - Added new Build-Depends: golang-github-urfave-cli-v2-dev,
                                 golang-uber-automaxprocs-dev,
                                 golang-sslmate-src-go-pkcs12-dev.
      - Added 'Static-Built-Using: ${misc:Static-Built-Using}' to source
        stanza.
      - Bumped Standards-Version to 4.7.2.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/gobuster.1: updated manpage.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 04 Aug 2025 14:19:54 -0300

gobuster (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0.
  * debian/copyright: updated upstream years.
  * debian/gobuster.1: updated date and version.
  * debian/lintian-overrides: moved to debian/source/lintian-overrides.
  * debian/source/lintian-overrides: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Thu, 21 Sep 2023 13:52:25 -0300

=== debian/control ===
Source: gobuster
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Thiago Andrade Marques <andrade@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-google-uuid-dev,
               golang-github-spf13-cobra-dev,
               golang-github-pin-tftp-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-term-dev,
               golang-github-urfave-cli-v2-dev,
               golang-uber-automaxprocs-dev,
               golang-sslmate-src-go-pkcs12-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/OJ/gobuster
Vcs-Browser: https://salsa.debian.org/pkg-security-team/gobuster
Vcs-Git: https://salsa.debian.org/pkg-security-team/gobuster.git
XS-Go-Import-Path: github.com/OJ/gobuster
Testsuite: autopkgtest-pkg-go

Package: gobuster
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Static-Built-Using: ${misc:Static-Built-Using}
Suggests: crunch, cupp, hashcat
Description: Directory/file & DNS busting tool written in Go
 Gobuster is a tool used to brute-force: URIs (directories and files) in
 web sites, DNS subdomains (with wildcard support), Virtual Host names
 on target web servers, Open Amazon S3 buckets, Open Google Cloud buckets
 and TFTP servers.
 .
 Gobuster is useful for pentesters, ethical hackers and forensics experts.
 It also can be used for security tests.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE = 1
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/OJ/gobuster/tags .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## gobuster 3.8.2

=== debian/changelog ===
gobuster (3.8.2-1) unstable; urgency=medium

  * New upstream version 3.8.2.
  * Close firejail security integration bug (Closes: #960842).
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Updated 'Description' field.
      - Removed 'Priority' and 'Rules-Requires-Root' fields. These fields are
        now redundant and can be removed.
  * debian/copyright: updated packaging copyright years (Happy New Year!).
  * debian/gobuster.1: Updated manpage.
  * debian/rules: exclude vhs directory from build.
  * debian/watch: updated to version 5.

 -- Thiago Andrade Marques <andrade@debian.org>  Sun, 04 Jan 2026 22:38:06 -0300

=== debian/control ===
Source: gobuster
Section: utils
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Thiago Andrade Marques <andrade@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-google-uuid-dev,
               golang-github-spf13-cobra-dev,
               golang-github-pin-tftp-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-term-dev,
               golang-github-urfave-cli-v2-dev,
               golang-uber-automaxprocs-dev,
               golang-sslmate-src-go-pkcs12-dev
Standards-Version: 4.7.3
Homepage: https://github.com/OJ/gobuster
Vcs-Browser: https://salsa.debian.org/pkg-security-team/gobuster
Vcs-Git: https://salsa.debian.org/pkg-security-team/gobuster.git
XS-Go-Import-Path: github.com/OJ/gobuster
Testsuite: autopkgtest-pkg-go

Package: gobuster
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Static-Built-Using: ${misc:Static-Built-Using}
Suggests: crunch, cupp, hashcat
Description: high-performance discovery tool for directories, DNS and cloud storage
 Gobuster is a high-performance tool used to brute-force and discover:
  * URIs (directories and files) in web sites
  * DNS subdomains (with wildcard support)
  * Virtual Host names on target web servers
  * Open Amazon S3 and Google Cloud Storage (GCS) buckets
  * Open TFTP servers
  * Custom fuzzing with customizable parameters
 .
 Gobuster is designed for penetration testers, security professionals,
 and forensics experts to perform security assessments and reconnaissance.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+export DH_GOLANG_EXCLUDES := vhs
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

=== debian/watch ===
Version: 5

Template: Github
Owner: OJ
Project: gobuster
Uversionmangle: s/-beta/~beta/
